export default class Attachment {
    file: File;
    directory: string | undefined;
    state: 'pending' | 'saving' | 'saved';
    id: string | null;
    href: string | null;
    name: string | null;
    percent: number;
    static traverse(transfer: DataTransfer, directory: boolean): Promise<Attachment[]>;
    static from(files: File[] | Attachment[] | FileList): Attachment[];
    constructor(file: File, directory?: string);
    get fullPath(): string;
    isImage(): boolean;
    isVideo(): boolean;
    saving(percent: number): void;
    saved(attributes?: {
        id?: string | null;
        href?: string | null;
        name?: string | null;
    }): void;
    isPending(): boolean;
    isSaving(): boolean;
    isSaved(): boolean;
}
